
mgr - Bug #20113

couldn't get command descriptions for [u'mgr', '']:

05/31/2017 02:41 AM - Sage Weil

Status: Resolved Start date: 05/30/2017

Priority: Urgent Due date:  

Assignee: Sage Weil % Done: 0%

Category:  Estimated time: 0.00 hour

Target version:    

Source:  Severity: 3 - minor

Tags:  Reviewed:  

Backport:  Affected Versions:  

Regression: No ceph-qa-suite:  

Description

2017-05-30T19:19:08.840 INFO:tasks.workunit.client.0.smithi180.stderr:/home/ubuntu/cephtest/clone.

client.0/qa/workunits/cephtool/test.sh:2095: test_mgr_tell_help_command:  ceph tell mgr help

2017-05-30T19:19:08.899 INFO:tasks.workunit.client.0.smithi180.stderr:2017-05-30 19:19:08.902375 7

f8384dd1700 -1 WARNING: all dangerous and experimental features are enabled.

2017-05-30T19:19:08.908 INFO:tasks.workunit.client.0.smithi180.stderr:2017-05-30 19:19:08.911543 7

f8384dd1700 -1 WARNING: all dangerous and experimental features are enabled.

2017-05-30T19:19:08.916 INFO:tasks.workunit.client.0.smithi180.stderr:couldn't get command descrip

tions for [u'mgr', '']:

2017-05-30T19:19:08.926 INFO:tasks.workunit.client.0.smithi180.stderr:/home/ubuntu/cephtest/clone.

client.0/qa/workunits/cephtool/test.sh:1: test_mgr_tell_help_command:  rm -fr /tmp/cephtool.0SB

2017-05-30T19:19:08.928 INFO:tasks.workunit:Stopping ['cephtool'] on client.0...

2017-05-30T19:19:08.928 INFO:teuthology.orchestra.run.smithi180:Running: 'rm -rf -- /home/ubuntu/c

ephtest/workunits.list.client.0 /home/ubuntu/cephtest/clone.client.0'

2017-05-30T19:19:09.025 ERROR:teuthology.run_tasks:Saw exception from tasks.

/a/sage-2017-05-30_17:22:40-rados-wip-sage-testing---basic-smithi/1244570

http://pulpito.ceph.com/sage-2017-05-30_17:22:40-rados-wip-sage-testing---basic-smithi/1244570

History

#1 - 05/31/2017 04:05 AM - Chang Liu

Sorry for this failed task. I'm working on it. Assignee it to me, please.

#2 - 06/04/2017 10:28 AM - Kefu Chai

Chang, you are not listed as a developer of this project. see http://tracker.ceph.com/projects/ceph. probably you ping any of the tech leaders (see

"Manager" in the same webpage) to get you added?

#3 - 06/04/2017 10:28 AM - Kefu Chai

- Status changed from New to In Progress

#4 - 06/06/2017 06:47 AM - Chang Liu

Kefu Chai wrote:

Chang, you are not listed as a developer of this project. see http://tracker.ceph.com/projects/ceph. probably you ping any of the tech leaders

(see "Manager" in the same webpage) to get you added?

 

Thank you, Kefu, I will write a emall to get permission. : )
I have create a PR(https://github.com/ceph/ceph/pull/15378). Would you mind taking a look?

#5 - 06/12/2017 07:26 PM - Sage Weil

This is fixed, right?  I haven't seen it in a couple weeks.

#6 - 06/13/2017 12:05 AM - Kefu Chai

i don't think it's fixed. we merged a PR by Chang to print more log on the "couldn't get command descriptions for [mgr...]" failure.

#7 - 06/15/2017 06:01 PM - Sage Weil

- Status changed from In Progress to Need More Info

- Priority changed from Immediate to Urgent

ok, downgrading and updating status.  maybe this is secondary effect of having a flaky mgr (which is pretty stable now).

#8 - 06/17/2017 09:06 PM - Greg Farnum

- Category set to 110

#9 - 06/19/2017 03:54 PM - Greg Farnum

- Project changed from Ceph to mgr

- Category deleted (110)

#10 - 06/28/2017 03:29 PM - Sage Weil

- Status changed from Need More Info to Can't reproduce

#11 - 08/02/2017 01:23 PM - Sage Weil

- Status changed from Can't reproduce to Verified

- Assignee set to Sage Weil

another instance:

2017-08-02T03:49:35.365 INFO:tasks.workunit.client.0.smithi100.stderr:/home/ubuntu/cephtest/clone.client.0/qa/

workunits/cephtool/test.sh:2462: test_mgr_tell:  ceph tell mgr help

2017-08-02T03:49:35.450 INFO:tasks.workunit.client.0.smithi100.stderr:couldn't get command descriptions for [u

'mgr']:  (-13)

and the mgr was online happy.    

/a/sage-2017-08-02_01:58:49-rados-wip-sage-testing-distro-basic-smithi/1470020

#12 - 08/02/2017 01:30 PM - Sage Weil

I think that EACCES is coming from MgrClient.cc:

../src/mgr/MgrClient.cc:    ldout(cct,20) << " no MgrMap, assuming EACCES" << dendl;

../src/mgr/MgrClient.cc:    return -EACCES;
because we haven't gotten mgrmap from the mon.  The maps are sent in alphanumeric order, which means that if we wait for osdmap, we'll have

already gotten the mgrmap (and we'll avoid a potential problem with tell to an osd without an osdmap).

#13 - 08/02/2017 01:34 PM - Sage Weil

- Status changed from Verified to Need Review

https://github.com/ceph/ceph/pull/16756

#14 - 08/03/2017 08:53 PM - Sage Weil

- Status changed from Need Review to Resolved

Powered by TCPDF (www.tcpdf.org)

04/25/2018 3/3

https://github.com/ceph/ceph/pull/16756
http://www.tcpdf.org

